src/fvm/fvm_to_ensight.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_to_ensight.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "fvm_defs.h"`
`#include "fvm_convert_array.h"`
`#include "fvm_io_num.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_priv.h"`
`#include "fvm_to_ensight_case.h"`
`#include "fvm_writer_helper.h"`
`#include "fvm_writer_priv.h"`
`#include "cs_block_dist.h"`
`#include "cs_file.h"`
`#include "cs_parall.h"`
`#include "cs_part_to_block.h"`
`#include "fvm_to_ensight.h"`
Include dependency graph for fvm_to_ensight.c:

## Functions
void * | fvm_to_ensight_init_writer (const char *name, const char *path, const char *options, fvm_writer_time_dep_t time_dependency)
void * | fvm_to_ensight_finalize_writer (void *this_writer_p)
void | fvm_to_ensight_set_mesh_time (void *this_writer_p, const int time_step, const double time_value)
int | fvm_to_ensight_needs_tesselation (fvm_writer_t *this_writer_p, const fvm_nodal_t *mesh, fvm_element_t element_type)
void | fvm_to_ensight_export_nodal (void *this_writer_p, const fvm_nodal_t *mesh)
void | fvm_to_ensight_export_field (void *this_writer_p, const fvm_nodal_t *mesh, const char *name, fvm_writer_var_loc_t location, int dimension, cs_interlace_t interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, int time_step, double time_value, const void *const field_values[])

## Function Documentation

void fvm_to_ensight_export_field | ( | void * | this_writer_p,
|  | const fvm_nodal_t * | mesh,
|  | const char * | name,
|  | fvm_writer_var_loc_t | location,
|  | int | dimension,
|  | cs_interlace_t | interlace,
|  | int | n_parent_lists,
|  | const cs_lnum_t | parent_num_shift[],
|  | cs_datatype_t | datatype,
|  | int | time_step,
|  | double | time_value,
|  | const void *const | field_values[]
| ) |  |

void fvm_to_ensight_export_nodal | ( | void * | this_writer_p,
|  | const fvm_nodal_t * | mesh
| ) |  |

void* fvm_to_ensight_finalize_writer | ( | void * | this_writer_p | ) |

void* fvm_to_ensight_init_writer | ( | const char * | name,
|  | const char * | path,
|  | const char * | options,
|  | fvm_writer_time_dep_t | time_dependency
| ) |  |

int fvm_to_ensight_needs_tesselation | ( | fvm_writer_t * | this_writer_p,
|  | const fvm_nodal_t * | mesh,
|  | fvm_element_t | element_type
| ) |  |

void fvm_to_ensight_set_mesh_time | ( | void * | this_writer_p,
|  | const int | time_step,
|  | const double | time_value
| ) |  |